Index: uspace/lib/net/include/netif_local.h
===================================================================
--- uspace/lib/net/include/netif_local.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/netif_local.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup netif
+/** @addtogroup libnet
  * @{
  */
@@ -36,6 +36,6 @@
  */
 
-#ifndef __NET_NETIF_LOCAL_H__
-#define __NET_NETIF_LOCAL_H__
+#ifndef NET_NETIF_LOCAL_H_
+#define NET_NETIF_LOCAL_H_
 
 #include <async.h>
@@ -43,5 +43,4 @@
 #include <ipc/ipc.h>
 #include <ipc/services.h>
-#include <err.h>
 
 #include <adt/measured_strings.h>
@@ -49,7 +48,5 @@
 #include <net/packet.h>
 
-/** Network interface device specific data.
- *
- */
+/** Network interface device specific data. */
 typedef struct {
 	device_id_t device_id;  /**< Device identifier. */
@@ -67,7 +64,5 @@
 DEVICE_MAP_DECLARE(netif_device_map, netif_device_t);
 
-/** Network interface module skeleton global data.
- *
- */
+/** Network interface module skeleton global data. */
 typedef struct {
 	int net_phone;                  /**< Networking module phone. */
@@ -81,5 +76,4 @@
  *
  * This function has to be implemented in user code.
- *
  */
 extern int netif_initialize(void);
@@ -89,13 +83,13 @@
  * This has to be implemented in user code.
  *
- * @param[in] device_id The device identifier.
- * @param[in] irq       The device interrupt number.
- * @param[in] io        The device input/output address.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[in] irq	The device interrupt number.
+ * @param[in] io	The device input/output address.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_probe_message(device_id_t device_id, int irq, uintptr_t io);
@@ -105,14 +99,15 @@
  * This has to be implemented in user code.
  *
- * @param[in] device_id The device identifier.
- * @param[in] packet    The packet queue.
- * @param[in] sender    The sending module service.
- *
- * @return EOK on success.
- * @return EFORWARD if the device is not active (in the NETIF_ACTIVE state).
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet queue.
+ * @param[in] sender	The sending module service.
+ *
+ * @return		EOK on success.
+ * @return		EFORWARD if the device is not active (in the
+ *			NETIF_ACTIVE state).
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_send_message(device_id_t device_id, packet_t packet,
@@ -123,11 +118,11 @@
  * This has to be implemented in user code.
  *
- * @param[in] device The device structure.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device	The device structure.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_start_message(netif_device_t *device);
@@ -137,11 +132,11 @@
  * This has to be implemented in user code.
  *
- * @param[in] device The device structure.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device	The device structure.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_stop_message(netif_device_t *device);
@@ -151,14 +146,14 @@
  * This has to be implemented in user code.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] address   The device local hardware address.
- *
- * @return EOK on success.
- * @return EBADMEM if the address parameter is NULL.
- * @return ENOENT if there no such device.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[out] address	The device local hardware address.
+ *
+ * @return		EOK on success.
+ * @return		EBADMEM if the address parameter is NULL.
+ * @return		ENOENT if there no such device.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_get_addr_message(device_id_t device_id,
@@ -170,15 +165,14 @@
  * skeleton. This has to be implemented in user code.
  *
- * @param[in]  callid       The message identifier.
- * @param[in]  call         The message parameters.
- * @param[out] answer       The message answer parameters.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
  * @param[out] answer_count The last parameter for the actual answer in
- *                          the answer parameter.
- *
- * @return EOK on success.
- * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ *			the answer parameter.
+ *
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_specific_message(ipc_callid_t callid, ipc_call_t *call,
@@ -189,12 +183,12 @@
  * This has to be implemented in user code.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] stats     The device usage statistics.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the specific module message
- *         implementation.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[out] stats	The device usage statistics.
+ *
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the specific module
+ *			message implementation.
  */
 extern int netif_get_device_stats(device_id_t device_id,
Index: uspace/lib/net/include/netif_remote.h
===================================================================
--- uspace/lib/net/include/netif_remote.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/netif_remote.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,14 +27,17 @@
  */
 
-/** @addtogroup netif
+/** @addtogroup libnet
  * @{
  */
 
-#ifndef __NET_NETIF_REMOTE_H__
-#define __NET_NETIF_REMOTE_H__
+#ifndef LIBNET_NETIF_REMOTE_H_
+#define LIBNET_NETIF_REMOTE_H_
 
+#include <async.h>
 #include <ipc/services.h>
 #include <adt/measured_strings.h>
+
 #include <net/device.h>
+#include <net/packet.h>
 
 extern int netif_get_addr_req_remote(int, device_id_t, measured_string_ref *,
Index: uspace/lib/net/include/nil_interface.h
===================================================================
--- uspace/lib/net/include/nil_interface.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/nil_interface.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,10 +27,10 @@
  */
 
-/** @addtogroup net_nil
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
-#ifndef __NET_NIL_INTERFACE_H__
-#define __NET_NIL_INTERFACE_H__
+#ifndef LIBNET_NIL_INTERFACE_H_
+#define LIBNET_NIL_INTERFACE_H_
 
 #include <async.h>
@@ -47,6 +47,6 @@
 
 #define nil_packet_size_req(nil_phone, device_id, packet_dimension) \
-	generic_packet_size_req_remote(nil_phone, NET_NIL_PACKET_SPACE, device_id, \
-	    packet_dimension)
+	generic_packet_size_req_remote(nil_phone, NET_NIL_PACKET_SPACE, \
+	    device_id, packet_dimension)
 
 #define nil_get_addr_req(nil_phone, device_id, address, data) \
Index: uspace/lib/net/include/nil_local.h
===================================================================
--- uspace/lib/net/include/nil_local.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/nil_local.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,6 +27,6 @@
  */
 
-/** @addtogroup net_nil
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
@@ -36,6 +36,6 @@
  */
 
-#ifndef __NET_NIL_LOCAL_H__
-#define __NET_NIL_LOCAL_H__
+#ifndef LIBNET_NIL_LOCAL_H_
+#define LIBNET_NIL_LOCAL_H_
 
 #include <ipc/ipc.h>
@@ -45,38 +45,88 @@
  * Is called by the module_start() function.
  *
- * @param[in] net_phone The networking moduel phone.
- *
- * @return EOK on success.
- * @return Other error codes as defined for each specific module initialize function.
- *
+ * @param[in] net_phone	The networking moduel phone.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			initialize function.
  */
 extern int nil_initialize(int);
 
+/** Notify the network interface layer about the device state change.
+ *
+ * @param[in] nil_phone	The network interface layer phone.
+ * @param[in] device_id	The device identifier.
+ * @param[in] state	The new device state.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			device state function.
+ */
 extern int nil_device_state_msg_local(int, device_id_t, int);
+
+
+/** Pass the packet queue to the network interface layer.
+ *
+ * Process and redistribute the received packet queue to the registered
+ * upper layers.
+ *
+ * @param[in] nil_phone	The network interface layer phone.
+ * @param[in] device_id	The source device identifier.
+ * @param[in] packet	The received packet or the received packet queue.
+ * @param target	The target service. Ignored parameter.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ * 			received function.
+ */
 extern int nil_received_msg_local(int, device_id_t, packet_t, services_t);
 
 /** Message processing function.
  *
- * @param[in]  name         Module name.
- * @param[in]  callid       The message identifier.
- * @param[in]  call         The message parameters.
- * @param[out] answer       The message answer parameters.
- * @param[out] answer_count The last parameter for the actual answer
- *                          in the answer parameter.
- *
- * @return EOK on success.
- * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for each specific
- *         module message function.
+ * @param[in] name	Module name.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer in the
+ *			answer parameter.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  *
  * @see nil_interface.h
  * @see IS_NET_NIL_MESSAGE()
+ */
+extern int nil_message_standalone(const char *, ipc_callid_t, ipc_call_t *,
+    ipc_call_t *, int *);
+
+/** Pass the parameters to the module specific nil_message() function.
  *
+ * @param[in] name	Module name.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer in the
+ *			answer parameter.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  */
-extern int nil_message_standalone(const char *, ipc_callid_t, ipc_call_t *, ipc_call_t *,
-    int *);
-
 extern int nil_module_message_standalone(const char *, ipc_callid_t,
     ipc_call_t *, ipc_call_t *, int *);
+
+/** Start the standalone nil layer module.
+ *
+ * Initialize the client connection serving function, initialize
+ * the module, register the module service and start the async
+ * manager, processing IPC messages in an infinite loop.
+ *
+ * @param[in] client_connection The client connection processing function.
+ *			The module skeleton propagates its own one.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the pm_init() function.
+ * @return		Other error codes as defined for the nil_initialize()
+ *			function.
+ * @return		Other error codes as defined for the REGISTER_ME() macro
+ *			function.
+ */
 extern int nil_module_start_standalone(async_client_conn_t);
 
Index: uspace/lib/net/include/protocol_map.h
===================================================================
--- uspace/lib/net/include/protocol_map.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/protocol_map.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,16 +27,15 @@
  */
 
-/** @addtogroup net_nil
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
 /** @file
- *  Internetwork layer services - network interface layer service type translation.
+ * Internetwork layer services - network interface layer service type
+ * translation.
  */
 
-#ifndef __NET_PROTOCOL_MAP_H__
-#define __NET_PROTOCOL_MAP_H__
-
-#include <ipc/services.h>
+#ifndef LIBNET_PROTOCOL_MAP_H_
+#define LIBNET_PROTOCOL_MAP_H_
 
 #include <ethernet_lsap.h>
@@ -44,96 +43,11 @@
 #include <net_hardware.h>
 
-/** Maps the internetwork layer service to the network interface layer type.
- *  @param[in] nil Network interface layer service.
- *  @param[in] il Internetwork layer service.
- *  @returns Network interface layer type of the internetworking layer service.
- *  @returns 0 if mapping is not found.
- */
-static inline eth_type_t protocol_map(services_t nil, services_t il){
-	switch(nil){
-		case SERVICE_ETHERNET:
-		case SERVICE_DP8390:
-			switch(il){
-				case SERVICE_IP:
-					return ETH_P_IP;
-				case SERVICE_ARP:
-					return ETH_P_ARP;
-				default:
-					return 0;
-			}
-		default:
-			return 0;
-	}
-}
+#include <ipc/services.h>
 
-/** Maps the network interface layer type to the internetwork layer service.
- *  @param[in] nil Network interface layer service.
- *  @param[in] protocol Network interface layer type.
- *  @returns Internetwork layer service of the network interface layer type.
- *  @returns 0 if mapping is not found.
- */
-static inline services_t protocol_unmap(services_t nil, int protocol){
-	switch(nil){
-		case SERVICE_ETHERNET:
-		case SERVICE_DP8390:
-			switch(protocol){
-				case ETH_P_IP:
-					return SERVICE_IP;
-				case ETH_P_ARP:
-					return SERVICE_ARP;
-				default:
-					return 0;
-			}
-		default:
-			return 0;
-	}
-}
-
-/** Maps the link service access point identifier to the Ethernet protocol identifier.
- *  @param[in] lsap Link service access point identifier.
- *  @returns Ethernet protocol identifier of the link service access point identifier.
- *  @returns ETH_LSAP_NULL if mapping is not found.
- */
-static inline eth_type_t lsap_map(eth_lsap_t lsap){
-	switch(lsap){
-		case ETH_LSAP_IP:
-			return ETH_P_IP;
-		case ETH_LSAP_ARP:
-			return ETH_P_ARP;
-		default:
-			return ETH_LSAP_NULL;
-	}
-}
-
-/** Maps the Ethernet protocol identifier to the link service access point identifier.
- *  @param[in] ethertype Ethernet protocol identifier.
- *  @returns Link service access point identifier.
- *  @returns 0 if mapping is not found.
- */
-static inline eth_lsap_t lsap_unmap(eth_type_t ethertype){
-	switch(ethertype){
-		case ETH_P_IP:
-			return ETH_LSAP_IP;
-		case ETH_P_ARP:
-			return ETH_LSAP_ARP;
-		default:
-			return 0;
-	}
-}
-
-/** Maps the network interface layer services to the hardware types.
- *  @param[in] nil The network interface service.
- *  @returns The hardware type of the network interface service.
- *  @returns 0 if mapping is not found.
- */
-static inline hw_type_t hardware_map(services_t nil){
-	switch(nil){
-		case SERVICE_ETHERNET:
-		case SERVICE_DP8390:
-			return HW_ETHER;
-		default:
-			return 0;
-	}
-}
+extern eth_type_t protocol_map(services_t, services_t);
+extern services_t protocol_unmap(services_t, int);
+extern eth_type_t lsap_map(eth_lsap_t);
+extern eth_lsap_t lsap_unmap(eth_type_t);
+extern hw_type_t hardware_map(services_t);
 
 #endif
Index: uspace/lib/net/include/tl_common.h
===================================================================
--- uspace/lib/net/include/tl_common.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/tl_common.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,14 +27,16 @@
  */
 
-/** @addtogroup net_tl
- *  @{
+/** @addtogroup libnet 
+ * @{
  */
 
 /** @file
- *  Transport layer common functions.
+ * Transport layer common functions.
  */
 
-#ifndef __NET_TL_COMMON_H__
-#define __NET_TL_COMMON_H__
+#ifndef LIBNET_TL_COMMON_H_
+#define LIBNET_TL_COMMON_H_
+
+#include <ipc/services.h>
 
 #include <net/socket_codes.h>
@@ -44,6 +46,6 @@
 
 /** Device packet dimensions.
- *  Maps devices to the packet dimensions.
- *  @see device.h
+ * Maps devices to the packet dimensions.
+ * @see device.h
  */
 DEVICE_MAP_DECLARE(packet_dimensions, packet_dimension_t);
@@ -51,61 +53,11 @@
 extern int tl_get_ip_packet_dimension(int, packet_dimensions_ref,
     device_id_t, packet_dimension_ref *);
-
-/** Gets the address port.
- *  Supports AF_INET and AF_INET6 address families.
- *  @param[in,out] addr The address to be updated.
- *  @param[in] addrlen The address length.
- *  @param[out] port The set port.
- *  @returns EOK on success.
- *  @returns EINVAL if the address length does not match the address family.
- *  @returns EAFNOSUPPORT if the address family is not supported.
- */
-extern int tl_get_address_port(const struct sockaddr * addr, int addrlen, uint16_t * port);
-
-/** Updates IP device packet dimensions cache.
- *  @param[in,out] packet_dimensions The packet dimensions cache.
- *  @param[in] device_id The device identifier.
- *  @param[in] content The new maximum content size.
- *  @returns EOK on success.
- *  @returns ENOENT if the packet dimension is not cached.
- */
-extern int tl_update_ip_packet_dimension(packet_dimensions_ref packet_dimensions, device_id_t device_id, size_t content);
-
-/** Sets the address port.
- *  Supports AF_INET and AF_INET6 address families.
- *  @param[in,out] addr The address to be updated.
- *  @param[in] addrlen The address length.
- *  @param[in] port The port to be set.
- *  @returns EOK on success.
- *  @returns EINVAL if the address length does not match the address family.
- *  @returns EAFNOSUPPORT if the address family is not supported.
- */
-extern int tl_set_address_port(struct sockaddr * addr, int addrlen, uint16_t port);
-
-/** Prepares the packet for ICMP error notification.
- *  Keeps the first packet and releases all the others.
- *  Releases all the packets on error.
- *  @param[in] packet_phone The packet server module phone.
- *  @param[in] icmp_phone The ICMP module phone.
- *  @param[in] packet The packet to be send.
- *  @param[in] error The packet error reporting service. Prefixes the received packet.
- *  @returns EOK on success.
- *  @returns ENOENT if no packet may be sent.
- */
-extern int tl_prepare_icmp_packet(int packet_phone, int icmp_phone, packet_t packet, services_t error);
-
-/** Receives data from the socket into a packet.
- *  @param[in] packet_phone The packet server module phone.
- *  @param[out] packet The new created packet.
- *  @param[in] prefix Reserved packet data prefix length.
- *  @param[in] dimension The packet dimension.
- *  @param[in] addr The destination address.
- *  @param[in] addrlen The address length.
- *  @returns Number of bytes received.
- *  @returns EINVAL if the client does not send data.
- *  @returns ENOMEM if there is not enough memory left.
- *  @returns Other error codes as defined for the async_data_read_finalize() function.
- */
-extern int tl_socket_read_packet_data(int packet_phone, packet_ref packet, size_t prefix, const packet_dimension_ref dimension, const struct sockaddr * addr, socklen_t addrlen);
+extern int tl_get_address_port(const struct sockaddr *, int, uint16_t *);
+extern int tl_update_ip_packet_dimension(packet_dimensions_ref, device_id_t,
+    size_t);
+extern int tl_set_address_port(struct sockaddr *, int, uint16_t);
+extern int tl_prepare_icmp_packet(int, int, packet_t, services_t);
+extern int tl_socket_read_packet_data(int, packet_ref, size_t,
+    const packet_dimension_ref, const struct sockaddr *, socklen_t);
 
 #endif
Index: uspace/lib/net/include/tl_interface.h
===================================================================
--- uspace/lib/net/include/tl_interface.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/tl_interface.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,6 +27,6 @@
  */
 
-/** @addtogroup net_tl
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
@@ -35,6 +35,6 @@
  */
 
-#ifndef __NET_TL_INTERFACE_H__
-#define __NET_TL_INTERFACE_H__
+#ifndef LIBNET_TL_INTERFACE_H_
+#define LIBNET_TL_INTERFACE_H_
 
 #include <async.h>
@@ -52,26 +52,5 @@
 /*@{*/
 
-/** Notify the remote transport layer modules about the received packet/s.
- *
- * @param[in] tl_phone  The transport layer module phone used for remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] packet    The received packet or the received packet queue.
- *                      The packet queue is used to carry a fragmented
- *                      datagram. The first packet contains the headers,
- *                      the others contain only data.
- * @param[in] target    The target transport layer module service to be
- *                      delivered to.
- * @param[in] error     The packet error reporting service. Prefixes the
- *                      received packet.
- *
- * @return EOK on success.
- *
- */
-inline static int tl_received_msg(int tl_phone, device_id_t device_id,
-    packet_t packet, services_t target, services_t error)
-{
-	return generic_received_msg_remote(tl_phone, NET_TL_RECEIVED, device_id,
-	    packet_get_id(packet), target, error);
-}
+extern int tl_received_msg(int, device_id_t, packet_t, services_t, services_t);
 
 /*@}*/
Index: uspace/lib/net/include/tl_local.h
===================================================================
--- uspace/lib/net/include/tl_local.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/tl_local.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,16 +27,43 @@
  */
 
-/** @addtogroup tl_local
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
-#ifndef __TL_LOCAL_H__
-#define __TL_LOCAL_H__
+#ifndef LIBNET_TL_LOCAL_H_
+#define LIBNET_TL_LOCAL_H_
 
 #include <ipc/ipc.h>
 #include <async.h>
 
+/** Starts the TL module.
+ *
+ * Initializes the client connection serving function, initializes the module,
+ * registers the module service and starts the async manager, processing IPC
+ * messages in an infinite loop.
+ *
+ * @param[in] client_connection The client connection processing function. The
+ *			module skeleton propagates its own one.
+ * @returns		EOK on successful module termination.
+ * @returns		Other error codes as defined for the module initialize
+ *			function.
+ * @returns		Other error codes as defined for the REGISTER_ME() macro
+ *			function.
+ */
 extern int tl_module_message_standalone(ipc_callid_t, ipc_call_t *,
     ipc_call_t *, int *);
+
+
+/** Processes the TL module message.
+ *
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer in the
+ *			answer parameter.
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for the module's message
+ *			standalone function.
+ */
 extern int tl_module_start_standalone(async_client_conn_t);
 
